com.hazelcast.partition.strategy

## Class StringPartitioningStrategy

- java.lang.Object
- - com.hazelcast.partition.strategy.StringPartitioningStrategy

- All Implemented Interfaces:
    PartitioningStrategy, Serializable

      public class StringPartitioningStrategy
      extends Object
      implements PartitioningStrategy

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StringPartitioningStrategy` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringPartitioningStrategy()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getBaseName(String name)`
    `Object` | `getPartitionKey(Object key)` Returns the key object that will be used by Hazelcast to specify the partition.
    `static String` | `getPartitionKey(String key)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final StringPartitioningStrategy INSTANCE

  - ### Constructor Detail

    - #### StringPartitioningStrategy

          public StringPartitioningStrategy()

  - ### Method Detail

    - #### getPartitionKey

          public Object getPartitionKey(Object key)

      Description copied from interface: `PartitioningStrategy`
      Returns the key object that will be used by Hazelcast to specify the partition.
      Specified by:
        `getPartitionKey` in interface `PartitioningStrategy`
      Parameters:
        `key` - actual key object used by Hazelcast to specify the partition
      Returns:
        the partition key object, or null to fallback to the default partition calculation

    - #### getBaseName

          public static String getBaseName(String name)

    - #### getPartitionKey

          public static String getPartitionKey(String key)

Copyright © 2020. All rights reserved.